Subject: [bug#54036] [PATCH] gnu: gnunet: Update to 0.15.3.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 07 Mar 2022 14:28:27 +0100

Hi,

Quoting Ludovic Courtès (2022-03-06 22:21:13)
> Tanguy Le Carrour <[email-masked]> skribis:
> 
> > Unfortunately, this is still a WIP.
> >
> > I've reported the make-status-code problem upstream [1]. If it's a
> > problem on GNUnet's side, I'll try to fix it. If returning 2 is the
> > expected behaviour, I'll probably need some help to figure out what has
> > to be done on our side.
> 
> I think 0.16.1 was released; does it help?

Nope! Unfortunately, a file is missing from the archive. :-(
Upstream provided me with a not-officially-published-version-0.16.1-3-g1f240bd13
to try out. It's building…

As I know which file is missing, I can write a package definition for 0.16.1
and create the file on the fly before running the checks, or…
We could also decide to wait for the 0.16.2 that will fix the problem.

-- 
Tanguy